summaryrefslogtreecommitdiffstats
path: root/gen-pubcert.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gen-pubcert.sh')
-rwxr-xr-xgen-pubcert.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/gen-pubcert.sh b/gen-pubcert.sh
new file mode 100755
index 0000000..a7e8538
--- /dev/null
+++ b/gen-pubcert.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+if [[ $# -ne 3 ]]; then
+ echo "Usage: $0 priv-key out-file common-name"
+ exit 1
+fi
+
+openssl req -new -key "$1" -days 36500 -utf8 -nodes -batch \
+ -x509 -outform PEM -out "$2" \
+ -config <(cat <<-EOF
+ [ req ]
+ distinguished_name = req_distinguished_name
+ string_mask = utf8only
+ prompt = no
+ [ req_distinguished_name ]
+ commonName = $3
+ EOF
+ )